> ## Documentation Index
> Fetch the complete documentation index at: https://docs2.zenskar.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create contact

> Creates a contact for the given organisation. The contact will be associated with the organisation.



## OpenAPI

````yaml /openAPI/openapi-20240301.json post /contacts
openapi: 3.1.0
info:
  title: zenskar
  version: 2.0.0
servers:
  - url: https://api.zenskar.com
security:
  - ApiTokenAuth: []
    OrganisationAuth: []
paths:
  /contacts:
    post:
      tags:
        - Contacts
      summary: Create contact
      description: >-
        Creates a contact for the given organisation. The contact will be
        associated with the organisation.
      operationId: Create-contact
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateContactRequestSchema'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ContactResponseSchema'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CreateContactRequestSchema:
      properties:
        customer:
          type: string
          format: uuid
          title: Customer
          description: ' '
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
          description: Contact first name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
          description: Contact last name
        email:
          type: string
          title: Email
          description: Contact Email
        send_contract:
          type: boolean
          title: Send Contract
          description: Send Contract
        send_invoice:
          type: boolean
          title: Send Invoice
          description: Send Contact
      type: object
      required:
        - customer
        - email
      title: CreateContactRequestSchema
      description: Create Contact Request Schema
    ContactResponseSchema:
      properties:
        id:
          type: string
          format: uuid
          title: Id
          description: Contact Id
        customer:
          type: string
          format: uuid
          title: Customer
          description: ' '
        first_name:
          anyOf:
            - type: string
            - type: 'null'
          title: First Name
          description: Contact first name
        last_name:
          anyOf:
            - type: string
            - type: 'null'
          title: Last Name
          description: Contact last name
        email:
          type: string
          title: Email
          description: Contact Email
        send_contract:
          type: boolean
          title: Send Contract
          description: Send Contract
          default: false
        send_invoice:
          type: boolean
          title: Send Invoice
          description: Send Contact
          default: true
      type: object
      required:
        - id
        - customer
        - email
      title: ContactResponseSchema
      description: Create & Update Contact Response Schema
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    ApiTokenAuth:
      type: apiKey
      in: header
      name: x-api-key
      x-default: <your-api-key>
    OrganisationAuth:
      type: apiKey
      in: header
      name: organisation
      x-default: <your-organisation-id>

````